curl --request GET \
--url https://api.theymes.com/v2/tickets \
--header 'Authorization: <authorization>'import requests
url = "https://api.theymes.com/v2/tickets"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.theymes.com/v2/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.theymes.com/v2/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.theymes.com/v2/tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.theymes.com/v2/tickets")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.theymes.com/v2/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"tickets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runningId": 123,
"url": "<string>",
"email": "<string>",
"status": "new",
"supportSource": "IN_APP",
"channels": [
"chat"
],
"language": "en",
"resolutionType": "resolved",
"csatScore": 3,
"csatReview": "<string>",
"issueSummary": "<string>",
"issueResolution": "<string>",
"followUpTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reopenedFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"fields": {},
"metadata": {},
"appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theymesCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "<string>",
"customerName": "<string>",
"assigneeId": null,
"assigneeName": null
}
],
"pagination": {
"cursor": "<string>"
}
}List tickets
List tickets for the company associated with the API key. Filter by identity, scope, status, tags, custom fields, or creation date. Results are paginated; use the returned cursor with the same ordering to fetch the next page.
curl --request GET \
--url https://api.theymes.com/v2/tickets \
--header 'Authorization: <authorization>'import requests
url = "https://api.theymes.com/v2/tickets"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.theymes.com/v2/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.theymes.com/v2/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.theymes.com/v2/tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.theymes.com/v2/tickets")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.theymes.com/v2/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"tickets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runningId": 123,
"url": "<string>",
"email": "<string>",
"status": "new",
"supportSource": "IN_APP",
"channels": [
"chat"
],
"language": "en",
"resolutionType": "resolved",
"csatScore": 3,
"csatReview": "<string>",
"issueSummary": "<string>",
"issueResolution": "<string>",
"followUpTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reopenedFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"fields": {},
"metadata": {},
"appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theymesCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "<string>",
"customerName": "<string>",
"assigneeId": null,
"assigneeName": null
}
],
"pagination": {
"cursor": "<string>"
}
}Headers
Bearer token API key
Query Parameters
JSON-encoded array of tag names. A ticket must contain every supplied tag. Example: ["vip","billing"].
JSON-encoded object of custom field keys and values. A ticket must match every supplied field; dropdown fields must contain all supplied options. Example: {"priority":["high"],"escalated":true}.
JSON-encoded array of ticket statuses. A ticket matches when its status is any of the supplied values. Allowed values: new, assigned, unassigned, waiting, on_hold, closed. Example: ["new","waiting"].
Only return tickets created on or after this date
Only return tickets created on or before this date
Sort by ticket creation order, oldest first or newest first
asc, desc Pagination cursor returned from a previous response. Must be used with the same order direction it was obtained with. Omit when starting a new scan.
1 <= x <= 1000